Znosko07mm
Date: 2014-08-08

melting.patternModels.singleMismatch

## Class Znosko07mm

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.singleMismatch.ZnoskoMethod
    - - melting.patternModels.singleMismatch.Znosko07mm

- All Implemented Interfaces:
    NamedMethod, PatternComputationMethod

      public class Znosko07mm
      extends ZnoskoMethod
      implements NamedMethod

  This class represents the single mismatch model zno07. It extends ZnoskoMethod. Brent M Znosko et al (2007). Biochemistry 46: 13425-13436.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `defaultFileName` String defaultFileName : default name for the xml file containing the thermodynamic parameters for single mismatch

    - ### Fields inherited from class melting.patternModels.singleMismatch.ZnoskoMethod

      `formulaEnthalpy`

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Znosko07mm()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computeThermodynamics(NucleotidSequences sequences, int pos1, int pos2, ThermoResult result)`
    `java.lang.String` | `getName()` Gets the full name of the method.
    `void` | `initialiseFileName(java.lang.String methodName)` If a file name is entered by the user, the file name of the model becomes the file name entered by the user, otherwise the default file name of the model is used.

    - ### Methods inherited from class melting.patternModels.singleMismatch.ZnoskoMethod

      `correctPositions, isApplicable, isMissingParameters`

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, loadData, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultFileName

          public static java.lang.String defaultFileName

      String defaultFileName : default name for the xml file containing the thermodynamic parameters for single mismatch

  - ### Constructor Detail

    - #### Znosko07mm

          public Znosko07mm()

  - ### Method Detail

    - #### computeThermodynamics

          public ThermoResult computeThermodynamics(NucleotidSequences sequences,
                                           int pos1,
                                           int pos2,
                                           ThermoResult result)

      Specified by:
        `computeThermodynamics` in interface `PatternComputationMethod`
      Overrides:
        `computeThermodynamics` in class `ZnoskoMethod`
      Parameters:
        `sequences` - which contains the sequences entered by the user.
        `result` - which contains the computed enthalpy, entropy and melting temperature.
      Returns:
        ThermoResult result which contains the incremented enthalpy and entropy values.

    - #### initialiseFileName

          public void initialiseFileName(java.lang.String methodName)

      Description copied from interface: `PatternComputationMethod`
      If a file name is entered by the user, the file name of the model becomes the file name entered by the user, otherwise the default file name of the model is used.
      Specified by:
        `initialiseFileName` in interface `PatternComputationMethod`
      Overrides:
        `initialiseFileName` in class `PatternComputation`
      Parameters:
        `methodName` - : method or model name entered by the user.

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.